﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LandscapeDemo
{
    public class OrderInfo : INotifyPropertyChanged
    {
        public OrderInfo()
        {
        }

        #region private variables

        private string _name;
        private int _mon;
        private int _tue;
        private int wed;
        private int _thur;
        private int _fri;
        private int _sat;
        private int _sun;

        #endregion

        #region Public Properties

        public string Name
        {
            get { return _name; }
            set
            {
                this._name = value;
                RaisePropertyChanged("Name");
            }
        }

        public int Mon
        {
            get { return _mon; }
            set
            {
                this._mon = value;
                RaisePropertyChanged("Mon");
            }
        }

        public int Tue
        {
            get { return _tue; }
            set
            {
                this._tue = value;
                RaisePropertyChanged("Tue");
            }
        }

        public int Wed
        {
            get { return wed; }
            set
            {
                this.wed = value;
                RaisePropertyChanged("Wed");
            }
        }

        public int Thur
        {
            get { return _thur; }
            set
            {
                this._thur = value;
                RaisePropertyChanged("Thur");
            }
        }

        public int Fri
        {
            get { return _fri; }
            set
            {
                this._fri = value;
                RaisePropertyChanged("Fri");
            }
        }

        public int Sat
        {
            get { return _sat; }
            set
            {
                this._sat = value;
                RaisePropertyChanged("Sat");
            }
        }

        public int Sun
        {
            get { return _sun; }
            set
            {
                this._sun = value;
                RaisePropertyChanged("Sun");
            }
        }
        #endregion

        #region INotifyPropertyChanged implementation

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(String Name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(Name));
        }

        #endregion
    }
}
