using CoreGraphics;
using Syncfusion.SfDataGrid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UIKit;

namespace LandscapeDemo
{
    public class MyViewController : UIViewController
    {
        SfDataGrid dataGrid;
        ViewModel viewModel;

        public MyViewController()
        {
            viewModel = new ViewModel();
            dataGrid = new SfDataGrid();
            dataGrid.ItemsSource = viewModel.OrdersInfo;
            dataGrid.AutoGenerateColumns = false;
            dataGrid.FrozenColumnsCount = 1;
            dataGrid.GridStyle = new CustomDataGridStyle();
            UILabel header = new UILabel();
            header.BackgroundColor = UIColor.FromRGB(242, 242, 242);
            header.Text = "January 2015";
            header.TextColor = UIColor.Black;
            header.TextAlignment = UITextAlignment.Center;
            header.Font = UIFont.BoldSystemFontOfSize(12);
            dataGrid.Columns.Add(new GridTextColumn() { UserCellType = typeof(CustomCell), MappingName = "Name", HeaderTemplate = header });
            dataGrid.Columns.Add(new GridTextColumn() { MappingName = "Mon" });
            dataGrid.Columns.Add(new GridTextColumn() { MappingName = "Tue" });
            dataGrid.Columns.Add(new GridTextColumn() { MappingName = "Wed" });
            dataGrid.Columns.Add(new GridTextColumn() { MappingName = "Thur" });
            dataGrid.Columns.Add(new GridTextColumn() { MappingName = "Fri" });
            dataGrid.Columns.Add(new GridTextColumn() { MappingName = "Sat" });
            dataGrid.Columns.Add(new GridTextColumn() { MappingName = "Sun" });
            View.AddSubview(dataGrid);
        }

        public override void ViewDidLayoutSubviews()
        {
            base.ViewDidLayoutSubviews();
            dataGrid.Frame = new CoreGraphics.CGRect(0, 20, this.View.Frame.Width, this.View.Frame.Height);

        }
    }

    public class CustomCell : GridCell
    {
        UILabel label;

        public CustomCell()
        {
            label = new UILabel();
            label.TextColor = UIColor.Black;
            label.TextAlignment = UITextAlignment.Center;
            label.Font = UIFont.BoldSystemFontOfSize(12);
            label.BackgroundColor =UIColor.FromRGB(242, 242, 242);
            this.AddSubview(label);
            this.CanRenderUnLoad = false;
        }

        protected override void UnLoad()
        {
            this.RemoveFromSuperview();
        }

        public override void LayoutSubviews()
        {
            base.LayoutSubviews();
            this.label.Frame = new CGRect(Bounds.Left, Bounds.Top, Bounds.Width, Bounds.Height);
            this.label.Text = DataColumn.CellValue.ToString();
        }
    }

    public class CustomDataGridStyle : DataGridStyle
    {
        public override UIColor GetHeaderBackgroundColor()
        {                 
            return UIColor.White;
        }

       
    }



}